package com.bjsxt.web.servlet;

import com.bjsxt.commons.Constants;
import com.bjsxt.exception.UserNotFoundException;
import com.bjsxt.pojo.Users;
import com.bjsxt.service.UserLoginService;
import com.bjsxt.service.impl.UserLoginServiceImpl;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import java.io.IOException;

/*
处理用户登录请求
 */
@WebServlet("/login.do")
public class UserLoginServlet extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        this.doPost(req, resp);
    }

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        //取出提交上来的表单的用户名和密码
        String username = req.getParameter("username");
        String userpwd = req.getParameter("userpwd");
        //tomcat处理异常的方法就是把状态码直接丢给用户
        try{
            UserLoginService userLoginService = new UserLoginServiceImpl();
            Users users = userLoginService.userLogin(username,userpwd);
            //建立客户端与服务端的会话状态
            //未来将会去创建一个filter，判断用户是否登录，只有用户登录了。只有登录过了的用户才可以不使用账号密码。
            //cookie与session都可以会话状态的维持
            HttpSession session = req.getSession();
            session.setAttribute(Constants.USER_SESSION_KEY,users);
            //使用重定向跳转到首页
            resp.sendRedirect("main.jsp");
        }catch (UserNotFoundException e){
//            e.printStackTrace();
            req.setAttribute("msg",e.getMessage());
            req.getRequestDispatcher("login.jsp").forward(req,resp);
        }catch (Exception e){
            e.printStackTrace();
            resp.sendRedirect("error.jsp");
        }
    }
}
